/* Load this script using conditional IE comments if you need to support IE 7 and IE 6. */

window.onload = function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'crimson\'">' + entity + '</span>' + html;
	}
	var icons = {
			'icon-copy' : '&#xf0c5;',
			'icon-coin' : '&#xe000;',
			'icon-list-alt' : '&#x10ffff;',
			'icon-user' : '&#xf007;',
			'icon-tags' : '&#xf02c;',
			'icon-tag' : '&#xf02b;',
			'icon-picture' : '&#xf03e;',
			'icon-eye-open' : '&#xf06e;',
			'icon-calendar' : '&#xf073;',
			'icon-magic' : '&#xf0d0;',
			'icon-rocket' : '&#xf135;',
			'icon-home' : '&#xe001;',
			'icon-bullhorn' : '&#xe002;',
			'icon-phone' : '&#xe003;',
			'icon-mobile' : '&#xe004;',
			'icon-bubble' : '&#xe005;',
			'icon-bubbles' : '&#xe006;',
			'icon-users' : '&#xe007;',
			'icon-google' : '&#xe008;',
			'icon-file-xml' : '&#xe009;',
			'icon-file-css' : '&#xe00a;',
			'icon-th' : '&#xf00a;',
			'icon-code' : '&#xf121;',
			'icon-stats' : '&#xe00b;',
			'icon-tree' : '&#xe00c;',
			'icon-search' : '&#xe00d;',
			'icon-cart' : '&#xe00e;',
			'icon-feed' : '&#xe00f;',
			'icon-facebook' : '&#xe010;',
			'icon-google-plus' : '&#xe011;',
			'icon-twitter' : '&#xe012;'
		},
		els = document.getElementsByTagName('*'),
		i, attr, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		attr = el.getAttribute('data-icon');
		if (attr) {
			addIcon(el, attr);
		}
		c = el.className;
		c = c.match(/icon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
};